--[[
HideBigBagBaleAndPallet.lua
	
Author: 	PNSoniX / Ifko[nator]
Date:		04.10.2022
Version:	1.0

History:	v1.0 @04.10.2022 - initial implementation in FS 22
]]

HideBigBagBaleAndPallet = {};
HideBigBagBaleAndPallet.currentModDirectory = g_currentModDirectory;

function HideBigBagBaleAndPallet:onStartMission()
    for _, storeItem in pairs(g_storeManager.items) do
        if string.find(storeItem.xmlFilename, "data/objects/bigBag") or string.find(storeItem.xmlFilename, "data/objects/pallets") or string.find(storeItem.xmlFilename, "data/objects/ksAG") or string.find(storeItem.xmlFilename, "data/objects/buyableBales") then
            --## hide default big bags and pallets
            storeItem.showInStore = false;
        end;
    end;
end;

FSBaseMission.onStartMission = Utils.prependedFunction(FSBaseMission.onStartMission, HideBigBagBaleAndPallet.onStartMission);

addModEventListener(HideBigBagBaleAndPallet);